Subject: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

From: Robert Alessi <[email-masked]>
Date: Fri, 19 Jul 2019 11:54:07 +0200

On Fri, Jul 19, 2019 at 12:33:52PM +0300, Eli Zaretskii wrote:
> > I went through almost all the documents that are listed here:
> > https://unicode.org/versions/ (in reverse chronological order), and
> > couldn't find any statement of Greek oxia being deprecated in favor of
> > tonos, contrary to what is claimed here:
> > https://wiki.digitalclassicist.org/Greek_Unicode_duplicated_vowels
> 
> So the basic claim that started this issue is no longer valid?  IOW,
> this assertion:
> 
>   As of 2016, the latest versions of Unicode (as of 2016) have now
>   formally deprecated and removed the vowel+oxia combinations from the
>   Greek extended range, leaving only the vowel+tonos from the basic Greek
>   and Coptic range.
> 
> is not really accurate?

I would say so, to say the least, but I am still investigating.  What
is sure is that tonos originally does not encode the same as oxia.
The former encodes a stress, while the latter encodes a pitch.  This
is undisputable.  That said, the fact that the Greek government did
decree that tonos shall be the same as oxia (to be taken cautiously, I
am not a specialist of modern Greek) surely introduced a lot of
confusion.

For example, if one makes no distinction between the two, then it
becomes harder to analyse large corpuses with a computer.

> > One question remains—and I wish to express my gratitude to all of you,
> > Robert, Basil and Eli: since assigning vowels with tonos and vowels
> > with oxia to the same code points is clearly unacceptable even if the
> > glyphs may be identical, is there a way to input tonos and vowels with
> > tonos with emacs?  I use greek-ibycus4, but if other input methods
> > can handle these letters, I would consider any change unnecessary.
> 
> "C-x RET 8" would be the immediate answer, IIUC.

Well that is not very friendly...

> But I'm still studying the issue, so maybe I'm missing something.

Just the same on my side.